Bug 289191 - Small tiles filter produces stripes between tiles
Summary: Small tiles filter produces stripes between tiles
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Filters (show other bugs)
Version: git master (please specify the git hash!)
Platform: Unlisted Binaries Linux
: NOR normal
Target Milestone: ---
Assignee: Sahil
URL:
Keywords:
: 233950 278075 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-12-17 12:05 UTC by Halla Rempt
Modified: 2013-12-01 18:05 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Halla Rempt 2011-12-17 12:05:34 UTC
(This means that the filter mask is also broken):

 - Map
    -> Small Tiles
    -> Round Corners
 - Other
    -> Wave
    -> Random Pick
 - Enchant
    -> Gaussian Noise Reduction (Little to no effect)
Comment 1 Sven Langkamp 2012-01-14 01:37:11 UTC
*** Bug 278075 has been marked as a duplicate of this bug. ***
Comment 2 Sven Langkamp 2012-01-18 18:32:53 UTC
Git commit 0af6a056b80f7802a23fa838a1fd3e9b641ab892 by Sven Langkamp.
Committed on 18/01/2012 at 19:31.
Pushed by langkamp into branch 'master'.

fix wave filter neededRect

M  +2    -2    krita/plugins/filters/wavefilter/wavefilter.cpp
M  +1    -1    krita/plugins/filters/wavefilter/wavefilter.h

http://commits.kde.org/calligra/0af6a056b80f7802a23fa838a1fd3e9b641ab892
Comment 3 Sven Langkamp 2012-01-18 21:27:14 UTC
Git commit 8a1fdfa842e7e5d628f55aaa05457c70da394a80 by Sven Langkamp.
Committed on 18/01/2012 at 21:32.
Pushed by langkamp into branch 'master'.

use window size in random pick

M  +3    -2    krita/plugins/filters/randompickfilter/randompickfilter.cpp

http://commits.kde.org/calligra/8a1fdfa842e7e5d628f55aaa05457c70da394a80
Comment 4 Sven Langkamp 2012-01-18 21:27:14 UTC
Git commit ab8aa1596e4ce4e291a1091afc38bc392c64af1e by Sven Langkamp.
Committed on 18/01/2012 at 22:24.
Pushed by langkamp into branch 'master'.

fix neededRect in random pick

M  +8    -0    krita/plugins/filters/randompickfilter/randompickfilter.cpp
M  +2    -0    krita/plugins/filters/randompickfilter/randompickfilter.h

http://commits.kde.org/calligra/ab8aa1596e4ce4e291a1091afc38bc392c64af1e
Comment 5 Sven Langkamp 2012-01-20 00:44:42 UTC
*** Bug 233950 has been marked as a duplicate of this bug. ***
Comment 6 Sven Langkamp 2012-01-20 02:08:10 UTC
Git commit 9533df5a41ebc1b3ee625a4fb46c893a0f3cc7da by Sven Langkamp.
Committed on 20/01/2012 at 03:06.
Pushed by langkamp into branch 'master'.

use default bounds in round corners filter

M  +9    -11   krita/plugins/filters/roundcorners/kis_round_corners_filter.cpp

http://commits.kde.org/calligra/9533df5a41ebc1b3ee625a4fb46c893a0f3cc7da
Comment 7 Cyrille Berger 2012-01-21 22:37:17 UTC
Git commit bac88f7a158d5e7648a0a0b6ce5509beda0a50ff by Cyrille Berger.
Committed on 21/01/2012 at 23:33.
Pushed by berger into branch 'master'.

Partial fix: preview of shiva filters
Fix: image generator not being centered

use image bounds to set the IMAGE_WIDTH and IMAGE_HEIGHT values in the filter/generator.

M  +4    -0    krita/plugins/extensions/shiva/shivafilter.cpp
M  +2    -0    krita/plugins/extensions/shiva/shivagenerator.cpp

http://commits.kde.org/calligra/bac88f7a158d5e7648a0a0b6ce5509beda0a50ff
Comment 8 Halla Rempt 2012-02-29 14:45:58 UTC
I've gone through everything again:

* brightness/contrast hangs for a long time, but works
* autocontrast hangs for a long time, but works

crash when clicking on the edge detection header when going down the list

(krita(26758): "[
0: /usr/lib64/libkdecore.so.5(kRealBacktrace(int)+0x35) [0x7fa11554f365]
1: /home/boud/kde/inst/lib64/libkritaimage.so.9(KisFilterMask::needRect(QRect const&, KisNode::PositionToFilthy) const+0xc0) [0x7fa11bebc130]
2: /home/boud/kde/inst/lib64/libkritaimage.so.9(KisLayer::masksNeedRect(QList<KisSharedPtr<KisEffectMask> > const&, QRect const&, QStack<QRect>&, bool&) const+0xd8) [0x7fa11bf11088]
3: /home/boud/kde/inst/lib64/libkritaimage.so.9(KisLayer::applyMasks(KisSharedPtr<KisPaintDevice>, KisSharedPtr<KisPaintDevice>, QRect const&) const+0xfa) [0x7fa11bf112fa]
4: /home/boud/kde/inst/lib64/libkritaimage.so.9(KisLayer::updateProjection(QRect const&)+0x164) [0x7fa11bf12bd4]
5: /home/boud/kde/inst/lib64/libkritaimage.so.9(KisAsyncMerger::startMerge(KisBaseRectsWalker&, bool)+0xd29) [0x7fa11bec6ba9]
6: /home/boud/kde/inst/lib64/libkritaimage.so.9(+0xb266e) [0x7fa11bdad66e]
7: /usr/lib64/libQtCore.so.4(+0x6fe15) [0x7fa11cbb3e15]
8: /usr/lib64/libQtCore.so.4(+0x7b025) [0x7fa11cbbf025]
9: /lib64/libpthread.so.0(+0x7f05) [0x7fa11c92ef05]
10: /lib64/libc.so.6(clone+0x6d) [0x7fa11454163d]
]
)

* sobel preview is broken (top 1/3 blank, bottom 2/3 untouched)
* emboss (variable depth) is completely broken
* bumpmap broken
* small tiles shows only two small tiles on top

Crash when I clicked on "others"

/lib64/libc.so.6(+0x74c06)[0x7fdd5019cc06]
/home/boud/kde/inst/lib/libGTLCore.so.0.8(_ZN4llvm12ConstantExpr15destroyConstantEv+0x60)[0x7fdd3aea5460]
/home/boud/kde/inst/lib/libGTLCore.so.0.8(+0x6f5dac)[0x7fdd3aea0dac]
/home/boud/kde/inst/lib/libGTLCore.so.0.8(_ZNK4llvm8Constant23removeDeadConstantUsersEv+0x8a)[0x7fdd3aea0d2a]
/home/boud/kde/inst/lib/libGTLCore.so.0.8(_ZN4llvm8FunctionD1Ev+0x106)[0x7fdd3aec1286]
/home/boud/kde/inst/lib/libGTLCore.so.0.8(_ZN4llvm8FunctionD0Ev+0x11)[0x7fdd3aec1171]
/home/boud/kde/inst/lib/libGTLCore.so.0.8(_ZN4llvm6iplistINS_8FunctionENS_12ilist_traitsIS1_EEE5eraseENS_14ilist_iteratorIS1_EES6_+0x89)[0x7fdd3aef37e9]
/home/boud/kde/inst/lib/libGTLCore.so.0.8(_ZN4llvm6ModuleD1Ev+0x5a)[0x7fdd3aef10da]
/home/boud/kde/inst/lib/libGTLCore.so.0.8(_ZN7GTLCore10ModuleDataD2Ev+0x176)[0x7fdd3aa2f108]
/home/boud/kde/inst/lib/libGTLFragment.so.0.8(_ZN11GTLFragment7Library7cleanupEv+0x83)[0x7fdd3a58a6db]
/home/boud/kde/inst/lib/libOpenShiva.so.0.8(_ZN9OpenShiva6KernelD1Ev+0x19)[0x7fdd3b38d10f]
/home/boud/kde/inst/lib64/kde4/kritashivafilters.so(+0xc833)[0x7fdd3b5d9833]
/home/boud/kde/inst/lib64/libkritaui.so.9(+0x1fd044)[0x7fdd58169044]
/home/boud/kde/inst/lib64/libkritaui.so.9(+0x20299f)[0x7fdd5816e99f]
/home/boud/kde/inst/lib64/libkritaui.so.9(+0x1a3272)[0x7fdd5810f272]
/usr/lib64/libQtCore.so.4(+0x6fe15)[0x7fdd58873e15]
/usr/lib64/libQtCore.so.4(+0x7b025)[0x7fdd5887f025]
/lib64/libpthread.so.0(+0x7f05)[0x7fdd585eef05]
/lib64/libc.so.6(clone+0x6d)[0x7fdd5020163d]

Most shiva filters have white lines between squares

* Stereographic is mostly transparent, not like the preview inside the filter gallery
Comment 9 Dmitry Kazakov 2013-09-25 15:02:35 UTC
After porting the filters to strokes the preview of all the filters works correctly. Except "Small Tiles" filter, which produces the transparent stripes between tiles (on an image of 1200x1000px).
Comment 10 Cyrille Berger 2013-12-01 18:05:16 UTC
Git commit 7db029a1f8902873b5c6a76c2d72941290807c6a by Cyrille Berger.
Committed on 01/12/2013 at 15:48.
Pushed by berger into branch 'master'.

remove shiva plugin and dependency on opengtl stuff

CCMAIL:kimageshop@kde.org

closing related bugs as no more valids:
Related: bug 289776, bug 323364, bug 288722

D  +0    -20   cmake/modules/FindOpenCTL.cmake
D  +0    -19   cmake/modules/FindOpenShiva.cmake
D  +0    -19   cmake/modules/FindQtShiva.cmake
M  +0    -20   krita/CMakeLists.txt
M  +0    -10   krita/plugins/extensions/CMakeLists.txt
D  +0    -44   krita/plugins/extensions/shiva/CMakeLists.txt
D  +0    -176  krita/plugins/extensions/shiva/PaintDeviceImage.cpp
D  +0    -58   krita/plugins/extensions/shiva/PaintDeviceImage.h
D  +0    -111  krita/plugins/extensions/shiva/QVariantValue.cpp
D  +0    -28   krita/plugins/extensions/shiva/QVariantValue.h
D  +0    -65   krita/plugins/extensions/shiva/ShivaGeneratorConfigWidget.cpp
D  +0    -42   krita/plugins/extensions/shiva/ShivaGeneratorConfigWidget.h
D  +0    -38   krita/plugins/extensions/shiva/UpdaterProgressReport.cpp
D  +0    -37   krita/plugins/extensions/shiva/UpdaterProgressReport.h
D  +0    -4    krita/plugins/extensions/shiva/collections/CMakeLists.txt
D  +0    -33   krita/plugins/extensions/shiva/collections/filters/AntiBullify.shiva
D  +0    -34   krita/plugins/extensions/shiva/collections/filters/Bullify.shiva
D  +0    -2    krita/plugins/extensions/shiva/collections/filters/CMakeLists.txt
D  +0    -48   krita/plugins/extensions/shiva/collections/filters/Caleidoscope.shiva
D  +0    -30   krita/plugins/extensions/shiva/collections/filters/CentralAbsorbtion.shiva
D  +0    -22   krita/plugins/extensions/shiva/collections/filters/Contraction.shiva
D  +0    -463  krita/plugins/extensions/shiva/collections/filters/Droste.shiva
D  +0    -30   krita/plugins/extensions/shiva/collections/filters/Expansion.shiva
D  +0    -73   krita/plugins/extensions/shiva/collections/filters/Hypno.shiva
D  +0    -58   krita/plugins/extensions/shiva/collections/filters/LensCorrection.shiva
D  +0    -23   krita/plugins/extensions/shiva/collections/filters/MirrorImpose.shiva
D  +0    -27   krita/plugins/extensions/shiva/collections/filters/Mosaic.shiva
D  +0    -70   krita/plugins/extensions/shiva/collections/filters/Planes.shiva
D  +0    -70   krita/plugins/extensions/shiva/collections/filters/Ray.shiva
D  +0    -70   krita/plugins/extensions/shiva/collections/filters/Ray2.shiva
D  +0    -35   krita/plugins/extensions/shiva/collections/filters/Ripples.shiva
D  +0    -44   krita/plugins/extensions/shiva/collections/filters/RotativeBlur.shiva
D  +0    -47   krita/plugins/extensions/shiva/collections/filters/Roundify.shiva
D  +0    -45   krita/plugins/extensions/shiva/collections/filters/Sea.shiva
D  +0    -51   krita/plugins/extensions/shiva/collections/filters/Seamlesser.shiva
D  +0    -48   krita/plugins/extensions/shiva/collections/filters/Sectorize.shiva
D  +0    -34   krita/plugins/extensions/shiva/collections/filters/Slices.shiva
D  +0    -70   krita/plugins/extensions/shiva/collections/filters/Sphere.shiva
D  +0    -70   krita/plugins/extensions/shiva/collections/filters/Star.shiva
D  +0    -115  krita/plugins/extensions/shiva/collections/filters/StereographicProjection.shiva
D  +0    -70   krita/plugins/extensions/shiva/collections/filters/Tunnel.shiva
D  +0    -69   krita/plugins/extensions/shiva/collections/filters/Tunnel2.shiva
D  +0    -43   krita/plugins/extensions/shiva/collections/filters/ZigZag.shiva
D  +0    -40   krita/plugins/extensions/shiva/collections/filters/oilify.shiva
D  +0    -2    krita/plugins/extensions/shiva/collections/generators/CMakeLists.txt
D  +0    -47   krita/plugins/extensions/shiva/collections/generators/CheckerBoard.shiva
D  +0    -54   krita/plugins/extensions/shiva/collections/generators/ConcentricCircles.shiva
D  +0    -68   krita/plugins/extensions/shiva/collections/generators/Disco.shiva
D  +0    -809  krita/plugins/extensions/shiva/collections/generators/FractalExplorer.shiva
D  +0    -80   krita/plugins/extensions/shiva/collections/generators/Metaball.shiva
D  +0    -42   krita/plugins/extensions/shiva/collections/generators/Moire.shiva
D  +0    -113  krita/plugins/extensions/shiva/collections/generators/PerlinNoise.shiva
D  +0    -76   krita/plugins/extensions/shiva/collections/generators/Plasma.shiva
D  +0    -29   krita/plugins/extensions/shiva/collections/generators/RadialGradient.shiva
D  +0    -63   krita/plugins/extensions/shiva/collections/generators/Singleball.shiva
D  +0    -80   krita/plugins/extensions/shiva/collections/generators/Something.shiva
D  +0    -56   krita/plugins/extensions/shiva/collections/generators/SunRay.shiva
D  +0    -92   krita/plugins/extensions/shiva/collections/generators/SuperNova.shiva
D  +0    -63   krita/plugins/extensions/shiva/kritashivafilters.desktop
D  +0    -63   krita/plugins/extensions/shiva/kritashivagenerators.desktop
D  +0    -111  krita/plugins/extensions/shiva/shivafilter.cpp
D  +0    -45   krita/plugins/extensions/shiva/shivafilter.h
D  +0    -69   krita/plugins/extensions/shiva/shivafiltersplugin.cpp
D  +0    -41   krita/plugins/extensions/shiva/shivafiltersplugin.h
D  +0    -108  krita/plugins/extensions/shiva/shivagenerator.cpp
D  +0    -49   krita/plugins/extensions/shiva/shivagenerator.h
D  +0    -70   krita/plugins/extensions/shiva/shivageneratorsplugin.cpp
D  +0    -40   krita/plugins/extensions/shiva/shivageneratorsplugin.h

http://commits.kde.org/calligra/7db029a1f8902873b5c6a76c2d72941290807c6a